=== debian/control ===
Source: openmpi
Section: net
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Manuel Prinz <manuel@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), 
 dh-sequence-fortran-mod,
 debhelper-compat (= 12), 
 libevent-dev,
 libpmix-dev,
 zlib1g-dev,
 gfortran,
 libhwloc-dev,
 pkg-config,
 libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libfabric-dev [amd64 i386],
 libpsm-infinipath1-dev [amd64 i386],
 libpsm2-dev [amd64],
 libnuma-dev [amd64 i386 ia64 mips mipsel mipsn32 mipsn32el mips64 mips64el ppc64el],
 default-jdk [!hppa !hurd-i386 !ia64] <!stage1>,
 flex
Build-Conflicts: libmpich-dev, libopenmpi-dev
Standards-Version: 4.5.0
Homepage: https://www.open-mpi.org/
Vcs-Browser: https://salsa.debian.org/hpc-team/openmpi
Vcs-Git: https://salsa.debian.org/hpc-team/openmpi.git -b debian/master

Package: openmpi-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openmpi-common (>= ${source:Version}),
 openssh-client | ssh-client
Conflicts: openmpi-bin
Multi-Arch: foreign
Breaks:
 libopenmpi-dev (<< 3.0.1~rc2-2),
 mpich (<< 3.3~b1-5),
 libmpich-dev (<< 3.3~b1-5),
 lam4-dev (<< 7.1.4-4),
Replaces: libopenmpi-dev (<< 3.0.1~rc2-2)
Suggests: gfortran | fortran-compiler
Description: high performance message passing library -- binaries
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 Features:
  * Full MPI-3.1 standards conformance
  * Thread safety and concurrency
  * Dynamic process spawning
  * High performance on all platforms
  * Reliable and fast job management
  * Network and process fault tolerance
  * Support network heterogeneity
  * Single library supports all networks
  * Run-time instrumentation
  * Many job schedulers supported
  * Internationalized error messages
  * Component-based design, documented APIs
 .
 This package contains the Open MPI utility programs.

Package: libopenmpi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libopenmpi3 (= ${binary:Version}), 
 openmpi-common (>= ${source:Version}), 
 libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libhwloc-dev,
 libevent-dev, 
 zlib1g-dev,
 openmpi-bin (>= 3.0.0-1)
Recommends: libcoarrays-openmpi-dev
Conflicts: libopenmpi-dev
Breaks:
 openmpi-bin (<< 3.0.1~rc2-2),
 mpich (<< 3.3~b1-5),
 libmpich-dev (<< 3.3~b1-5),
 lam4-dev (<< 7.1.4-4),
Suggests: openmpi-doc
Description: high performance message passing library -- header files
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains the header files and compiler wrappers which are needed
 to compile and link programs against libopenmpi.

Package: libopenmpi3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins, libpmix2
Breaks: libpmix2 (<< 3.0.0-2)
Replaces: libpmix2 (<< 3.0.0-2)
Description: high performance message passing library -- shared library
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains the Open MPI shared libraries.

Package: openmpi-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: openmpi-common
Description: high performance message passing library -- common files
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains platform independent files for Open MPI.

Package: openmpi-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: mpi-doc, lam-mpidoc, lam4-dev, openmpi-doc
Replaces: openmpi-checkpoint (<< 1.10.2)
Breaks: openmpi-checkpoint (<< 1.10.2)
Description: high performance message passing library -- man pages
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains man pages describing the Message Passing Interface
 standard.
