=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DESTDIR:=$(CURDIR)/debian/tmp/
BUILDDIR=debian/build
BUILDDIR_FLANG=debian/build-flang
BUILDDIR_GFORTRAN=debian/build-gfortran

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= libopenmpi3.links libopenmpi-dev.links libopenmpi-dev.postinst \
  libopenmpi-dev.prerm  libopenmpi3.install libopenmpi-dev.install


### Arch-specific stuff
# No ibverbs support available on kFreeBSD, Hurd
NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x 
FABRIC_ARCH:= amd64 i386 
PSM_ARCH:= amd64 i386
PSM2_ARCH:= amd64
ATOMICS_ARCH:= s390x riscv64
NO_CMA_ARCH:= s390x mipsel hppa alpha armhf armel m68k sparc64
NO_JAVA_ARCH:= hppa hurd-i386 ia64
NO_TEST_ARCH:= hppa hurd-i386
GCC7_ARCH:= ia64


VERBS:=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_VERBS_ARCH)), , --with-verbs ) 
FABRIC:=  $(if $(filter $(DEB_TARGET_ARCH), $(FABRIC_ARCH)),  --with-libfabric,  )
PSM:=     $(if $(filter $(DEB_TARGET_ARCH), $(PSM_ARCH)),  --with-psm, )
PSM2:=    $(if $(filter $(DEB_TARGET_ARCH), $(PSM2_ARCH)),  --with-psm2, )
ATOMICS:= $(if $(filter $(DEB_TARGET_ARCH), $(ATOMICS_ARCH)), --enable-builtin-atomics, )
CMA:=     $(if $(filter $(DEB_TARGET_ARCH), $(NO_CMA_ARCH)), --without-cma , )
DO_TEST:= $(if $(filter $(DEB_TARGET_ARCH), $(NO_TEST_ARCH)), false, true)
BTL_TESTS:= $(if $(DO_TEST), --enable-opal-btl-usnic-unit-tests, )
DO_FLANG:=$(if $(wildcard /usr/bin/flang),true, false)

ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
       JAVA := $(if $(filter $(DEB_TARGET_ARCH), $(NO_JAVA_ARCH)), \
		 ,--with-jdk-dir=/usr/lib/jvm/default-java --enable-mpi-java )
endif

FLANG_FCFLAGS= $(filter '-g', $(shell dpkg-buildflags --get FCFLAGS))
FLANG_LIBDIR= $(LIBDIR)/fortran/flang

FLANG_VERSION=$(shell basename $(shell readlink /usr/bin/flang))
# GFORTRAN_VERSION:=$(shell basename $(shell readlink -f /usr/bin/gfortran))
GFORTRAN_VERSION:=gfortran-mod-15

# FC set to f77 by default in make
# Read default compiler name unless FC is actually set
ifeq ($(FC),f77)
  FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
endif

# Drop '-g' flag with flang. Known failure with 2018122 version
ifneq ($(filter flang,$(FC)),)
FCFLAGS=$(shell dpkg-buildflags --get FCLAGS |  sed -e 's/-g //')
endif



ifeq (sparc,$(DEB_HOST_GNU_CPU))
	CFLAGS += -mcpu=v9
endif

# Use -O3 recommended by upstream
CFLAGS += -O3
CXXFLAGS += -O3
FCFLAGS += -O3

ifeq ($(filter $(NO_VERBS_ARCH),$(DEB_HOST_ARCH)),)
	VERBS := --with-verbs
endif	

# Flags for the static build: see bug #502232
#STATIC_CONFIG_PARAMS = --enable-static
STATIC_CONFIG_PARAMS =  


%:
	dh $@ 

extra_flags = \
		--disable-silent-rules \
		--disable-wrapper-runpath \
		--with-package-string="Debian OpenMPI" \
		$(VERBS) $(FABRIC) $(PSM) $(PSM2) $(CMA) \
		$(ATOMICS) \
		$(JAVA) \
		$(STATIC_CONFIG_PARAMS) \
		$(BTL_TESTS) \
                --with-libevent=external \
                --with-pmix=$(LIBDIR)/pmix \
		--disable-silent-rules \
		--enable-mpi-cxx \
		--with-hwloc=/usr  \
		--with-devel-headers \
		--with-slurm \
		--with-sge \
		--without-tm \
		--sysconfdir=/etc/openmpi 		\
		--libdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}/openmpi/lib	\
		--includedir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}/openmpi/include 

override_dh_auto_clean:
	dh_clean
	find . -name .libs -exec rm -rf {} \; || true
	find . -name .dirstamp -delete
	find . -type l -delete
	find . -name '*.o' -delete
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	rm -f `find test/ -type f ! -name '*.*' ! -name 'run_tests'`
	rm -f `find . -name '*.a'`
	rm -f `find . -name '*.class'`
	rm -f `find . -name '*.mod'`
	rm -f `find . -name '*.jar'`
	rm -f `find orte/tools/ -type f ! -name '*.*'`

override_dh_update_autotools_config:
	(cd config && autom4te --language=m4sh opal_get_version.m4sh -o opal_get_version.sh)
	./autogen.pl --force

override_dh_auto_configure:
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  | \
		sed -e 's/@GFORTRAN_VERSION@/${GFORTRAN_VERSION}/' > debian/$$f ; \
                done
	dh_auto_configure --builddirectory=$(BUILDDIR) -- $(extra_flags)
	dh_auto_configure --builddirectory=$(BUILDDIR_GFORTRAN) -- $(extra_flags)
	$(DO_FLANG) && dh_auto_configure --builddirectory=$(BUILDDIR_FLANG) \
		-- $(extra_flags) FC=flang FCFLAGS="$(FLANG_FCFLAGS)" || true
override_dh_auto_build:
	dh_auto_build --builddirectory=$(BUILDDIR)	
	$(DO_FLANG) && dh_auto_build --builddirectory=$(BUILDDIR_FLANG)	 || true

override_dh_install:
	dh_auto_install --builddirectory=$(BUILDDIR)
	$(DO_FLANG) && find $(BUILDDIR_FLANG) -type f -perm -+x -a ! -name '*.la' -a ! -name '*.mod' -exec chrpath -d '{}' \; || true
# Rename the compiler and startup wrappers.
	for f in mpic++ mpicc mpiCC mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
		if test -f $(DESTDIR)/usr/bin/$${f}; then \
			mv $(DESTDIR)/usr/bin/$${f} $(DESTDIR)/usr/bin/$${f}.openmpi ; \
		fi; \
	done
# Strip rpath from pc,wrapper files
	for f in ompi-c.pc  ompi-cxx.pc  ompi-f77.pc  ompi-f90.pc  ompi-fort.pc  ompi.pc  opal.pc  orte.pc ; do  \
		sed -e 's/-Wl,-rpath -Wl,$${libdir}//' < $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} > debian/tmp.x ; \
		mv debian/tmp.x $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} ; \
		done
	find . -name '*wrapper-data.txt' | while read f; do \
		sed -e 's/-Wl,-rpath -Wl,@{libdir}//' < $$f | \
		sed -e 's/@COMPILER_VERSION@/${GFORTRAN_VERSION}/' > debian/tmp.x ; \
		mv debian/tmp.x $$f ; done
# Rename the compiler wrapper man pages.
	for f in mpic++ mpicc mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
		if test -f $(DESTDIR)/usr/share/man/man1/$${f}.1; then \
			mv $(DESTDIR)/usr/share/man/man1/$${f}.1 $(DESTDIR)/usr/share/man/man1/$${f}.openmpi.1 ; \
		fi; \
		if test -f $(DESTDIR)/usr/share/man/man1/$${f}.3; then \
			mv $(DESTDIR)/usr/share/man/man3/$${f}.3 $(DESTDIR)/usr/share/man/man1/$${f}.openmpi.3 ; \
		fi; \
	done
	cd $(DESTDIR)/usr/share/man/man3; \
	for f in *.3; do \
		mv $$f $$(echo $$f|sed -e "s|\.3|.openmpi.3|g"); \
	done; \
	mkdir -p $(DESTDIR)/$(LIBDIR)/openmpi/lib/
	cp $(BUILDDIR)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.20.2  $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.20.2
	cp $(BUILDDIR)/ompi/mpi/fortran/*/.libs/libmpi_usempi_ignore_tkr.so.40.20.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.20.0
	cp $(BUILDDIR)/ompi/mpi/fortran/*/.libs/libmpi_usempif08.so.40.21.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.21.0
	gcc -shared -fPIC -Wl,-soname,libmpi_mpifh-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-gfortran.so.40.20.2 \
		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.20.2
	gcc -shared -fPIC -Wl,-soname,libmpi_usempi_ignore_tkr-gfortran.so.40 \
		-o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr-gfortran.so.40.20.0 \
		   $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.20.0
	gcc -shared -fPIC -Wl,-soname,libmpi_usempif08-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08-gfortran.so.40.21.0 \
		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.21.0
	# Flang, if present
	$(DO_FLANG) && ( \
		mkdir -p $(DESTDIR)/$(FLANG_MODDIR) ; \
		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/mpiext/*.mod openmpi ; \
		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/use-mpi-ignore-tkr/*.mod openmpi ; \
		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/use-mpi-f08/*.mod openmpi ; \
		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/use-mpi-f08/mod/*.mod openmpi ; \
		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/mpiext-use-mpi/*.mod openmpi ; \
		cp $(BUILDDIR_FLANG)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.20.2 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-flang.so.40.20.2 ; \
