## openmpi 4.1.0

=== debian/changelog ===
openmpi (4.1.0-7ubuntu2) hirsute; urgency=medium

  * No-change rebuild for pmix update.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Feb 2021 09:12:39 +0100

openmpi (4.1.0-7ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Jan 2021 20:17:53 +0100

openmpi (4.1.0-7) unstable; urgency=medium

  * Also disable ofi BTL to avoid libfabric issues
    (user can re-enable on systems with RDMA hardware)
    Closes: #979041
  * Backport grequest fix from 4.1.x. Closes: #979480

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jan 2021 17:22:18 +0000

openmpi (4.1.0-6) unstable; urgency=medium

  * Disable UCX by default to avoid spurious errors on systems
    without rdmacm hardware. Closes: #90033

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Jan 2021 11:43:39 +0000

openmpi (4.1.0-5) unstable; urgency=medium

  * libfabric-dev now available on all bar hurd, kfreebsd
  * libnuma-dev now available on all bar hurd, kfreebsd
  * Exclude openib by default, update README.Debian to explain.
  * Patch to detect pmix 4.  Closes: #979041

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Jan 2021 19:42:23 +0000

openmpi (4.1.0-4) unstable; urgency=mediuzm

  * Rename some scripts to drop language suffix
    - aggregate_profile.pl -> aggregate_profile
    - profile2mat.pl -> profile2man
  * Drop dependencies on libpmix* as we use the internal version
  * Fix for missing plugin mca_op_avx.so. Closes: #979041, #978496
  * Update shymlink to jquery.js for version number change

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Jan 2021 22:22:09 +0000

openmpi (4.1.0-3) unstable; urgency=medium

  * Set -latomic on some archs for pmix
  * Fix overreaching find in d/rules
  * Make install of shmemc++.1 conditional

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Dec 2020 17:17:04 +0000

openmpi (4.1.0-2) unstable; urgency=medium

  * Update d/watch file
  * Use internal pmix until pmix 4.0 supported.
    Closes: #978022,  #978308, #978203, #978066

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Dec 2020 14:38:05 +0000

openmpi (4.1.0-1) unstable; urgency=medium

  * New upstream release
    - minor lib versions updated to 40.30.0
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Dec 2020 10:56:34 +0000

oopenmpi (4.0.5-7ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 23 Nov 2020 11:34:42 +0100

openmpi (4.0.5-7) unstable; urgency=medium

  * Undo NO_PMIX_ARCH for armel, mipsel no longer needed as atomic
    primitives now provided in external pmix. Closes: #971669

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Oct 2020 20:08:08 +0100

openmpi (4.0.5-6) unstable; urgency=medium

  * Update VCS-* headers to point to debian/latest branch. Closes: #970707
  * Rebuild to drop build of mca_pmix_pmix3.so on armel/mipsel (triggered by
    misconfig in pmix package) ?

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Oct 2020 08:46:30 +0100

openmpi (4.0.5-5) unstable; urgency=medium

  * Drop amd64 from NO_PMIX_ARCH (debugging test). Closes: #970698
  * Update Breaks/Replaces to cope with bug regression below

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Sep 2020 21:29:06 +0100

openmpi (4.0.5-4) unstable; urgency=medium

  * Regression fix: man pages belong in openmpi-bin, Closes: #970442
  * Set B-D on libpmix-dev. Closes: #970193
  * Add dependency on libevent-dev to libopenmpi-dev. Closes: #945121

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Sep 2020 11:25:15 +0100

openmpi (4.0.5-3) unstable; urgency=medium

  * Revert autogenerated vars in preinst/postinst. Closes: #970036
  * Update pmix path for libpmix-dev >= 3.2.0rc1-2
  * Ack. bug closed due to mpi4py test disabled: Closes: #965352.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 12 Sep 2020 12:33:38 +0100

openmpi (4.0.5-2) unstable; urgency=medium

  * in binary-indep builds, ignore stuff thats not installed (d/not-installed)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Sep 2020 09:18:52 +0100

openmpi (4.0.5-1) unstable; urgency=medium

  * New upstream release
  * Update libversions:
    libmpi.so 40.20.4 -> 40.20.5
    libopen-pal.so 40.20.4 -> 40.20.5
    libopen-rte.so 40.20.4 -> 40.20.5
    libmpi_usempif08: 40.21.1 -> 40.21.2
  * Add libpmix-dev as Dependency of libopenmpi-dev
  * Depend on libjs-jquery-ui in -dev pkg rather than use external version
  * Move to debhelper 13; use DEB_HOST_MULTIARCH vars rather than autogenerated
    link, install files
  * Drop use_openib patch now that UCX enabled
  * Change gdb.conf and branch names to match DEP-14 recommendations

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Sep 2020 16:48:29 +0100

openmpi (4.0.4-2) unstable; urgency=medium

  * Re-enable liboshmem.so
  * Se hwloc to external for clarity
  * Enable UCX support
    - Add libmca_common_ucx.so lib
  * Tidy up d/rules to use more dh_* commands not cp/mv
  * Ship javadocs in libopenmpi-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Jul 2020 07:59:50 +0100

openmpi (4.0.4-1) unstable; urgency=medium

  * New upstream release
  * Update libversions:
    libmpi.so 40.20.3 -> 40.20.4
    libopen-pal.so 40.20.3 -> 40.20.4
    libopen-rte.so 40.20.3 -> 40.20.4
    libmpi_usempif08: 40.21.0 -> 40.21.1
  * Updated build config for ia64, thanks to John Paul Adrian Glaubitz.
    Closes: #963729

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Jul 2020 08:42:05 +0100


