=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: openmpi
 Section: net
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Manuel Prinz <manuel@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), 
  dh-sequence-fortran-mod,
- debhelper-compat (= 12), 
+ debhelper-compat (= 13), 
  libevent-dev,
  libpmix-dev,
+ libucx-dev [amd64 arm64 ppc64el],
  zlib1g-dev,
  gfortran,
  libhwloc-dev,
  pkg-config,
- libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- libfabric-dev [amd64 i386],
+ libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !i386],
+ libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !i386],
+ libnuma-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libpsm-infinipath1-dev [amd64 i386],
  libpsm2-dev [amd64],
- libnuma-dev [amd64 i386 ia64 mips mipsel mipsn32 mipsn32el mips64 mips64el ppc64el],
- default-jdk [!hppa !hurd-i386 !ia64] <!stage1>,
+ default-jdk [!hppa !hurd-i386] <!stage1>,
  flex
 Build-Conflicts: libmpich-dev, libopenmpi-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.open-mpi.org/
 Vcs-Browser: https://salsa.debian.org/hpc-team/openmpi
-Vcs-Git: https://salsa.debian.org/hpc-team/openmpi.git -b debian/master
+Vcs-Git: https://salsa.debian.org/hpc-team/openmpi.git -b debian/latest
 
 Package: openmpi-bin
 Architecture: any
@@ -32,11 +34,11 @@
 Conflicts: openmpi-bin
 Multi-Arch: foreign
 Breaks:
- libopenmpi-dev (<< 3.0.1~rc2-2),
+ libopenmpi-dev (<< 4.0.5-3),
  mpich (<< 3.3~b1-5),
  libmpich-dev (<< 3.3~b1-5),
  lam4-dev (<< 7.1.4-4),
-Replaces: libopenmpi-dev (<< 3.0.1~rc2-2)
+Replaces: libopenmpi-dev (<< 4.0.5-3),
 Suggests: gfortran | fortran-compiler
 Description: high performance message passing library -- binaries
  Open MPI is a project combining technologies and resources from several other
@@ -68,14 +70,17 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  libopenmpi3 (= ${binary:Version}), 
  openmpi-common (>= ${source:Version}), 
- libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libhwloc-dev,
+ libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !i386], libhwloc-dev,
  libevent-dev, 
+ libpmix-dev,
+ libjs-jquery,
+ libjs-jquery-ui,
  zlib1g-dev,
  openmpi-bin (>= 3.0.0-1)
 Recommends: libcoarrays-openmpi-dev
 Conflicts: libopenmpi-dev
 Breaks:
- openmpi-bin (<< 3.0.1~rc2-2),
+ openmpi-bin (<< 4.0.5-3),
  mpich (<< 3.3~b1-5),
  libmpich-dev (<< 3.3~b1-5),
  lam4-dev (<< 7.1.4-4),
@@ -95,7 +100,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins, libpmix2
-Breaks: libpmix2 (<< 3.0.0-2)
+Breaks: libpmix2 (<< 3.0.0-2), gromacs-openmpi (<< 2020~beta2-2), libeztrace0 (<< 1.1-8-5+b1), openmpi-bin (<< 4.0.2-4+b1), starpu-contrib-examples (<< 1.3.2+dfsg-2+b1), starpu-examples (<< 1.3.2+dfsg-4+b1)
 Replaces: libpmix2 (<< 3.0.0-2)
 Description: high performance message passing library -- shared library
  Open MPI is a project combining technologies and resources from several other
