## openmpi 4.1.2

=== debian/changelog ===
openmpi (4.1.2-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Mar 2022 13:35:12 +0100

openmpi (4.1.2-2) unstable; urgency=medium

  * Add link for mpifort-wrapper-data. Closes: #1006453

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Mar 2022 12:39:43 +0000

openmpi (4.1.2-1ubuntu2) jammy; urgency=medium

  * Rebuild against new pmix 4.1.2-1ubuntu1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Feb 2022 21:34:06 +0100

openmpi (4.1.2-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Dec 2021 07:32:41 +0000

openmpi (4.1.2-1) unstable; urgency=medium

  * Nww upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Nov 2021 08:20:25 +0000

openmpi (4.1.2~rc1-5) unstable; urgency=medium

  * Drop unused and broken link to libopen-orted-mpir.so

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Oct 2021 09:08:51 +0100

openmpi (4.1.2~rc1-4) unstable; urgency=medium

  * Move java docs to openmpi-doc package
  * Add Breaks/Replaces for file move libopenmpi-dev -> openmpi-doc
  * Delete obsolete breaks/replaces

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Sep 2021 11:49:06 +0100

openmpi (4.1.2~rc1-3) unstable; urgency=medium

  * Update versions: 
    - libmca_common_ompio.so 41.29.1 ->  41.29.2
    - libmca_common_ofi.so 10.0.1 -> 10.0.2
    Closes: #995150
  * Add autopkg test for unlinked shared libs
  * Add alpha, ppc64, sparc64 to the 'nojava' arch list
  * Only install javadocs via d/rules inside conditional

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Sep 2021 08:11:18 +0100

openmpi (4.1.2~rc1-2) unstable; urgency=medium

  * Drop deprecated "stage1" build profile in favour of "nojava"
  * Don't depend on libfabric-dev on sh4, powerpc, x32
  * Only install java wrapper script on java platforms (not hurd)
  * Don't try to build java support on kfreebsd-*

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Sep 2021 10:55:45 +0100

openmpi (4.1.2~rc1-1) experimental; urgency=medium

  * New upstream release
  * Drop merged patches:
    - pr8827.patch
    - no-ship-orted-mpir.patch
    - pr8596.patch
  * Update libversions:
    - libmpi.so.40.30.1 -> libmpi.so.40.30.2
    - libmpi_cxx.so.40.30.0 -> libmpi_cxx.so.40.30.1
    - libopen-pal.so.40.30.1 -> libopen-pal.so.40.30.2
    - libopen-rte.so.40.30.1 -> libopen-rte.so.40.30.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Sep 2021 13:20:47 +0100

openmpi (4.1.1-5) unstable; urgency=medium

  * Include pr8596.patch from 4.1.0-9 in 4.1.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Sep 2021 14:07:52 +0100

openmpi (4.1.1-4) unstable; urgency=medium

  * Don't ship libopen-orted-mpir.so. Patch from upstream for 4.1.2
    internal lib only.
  * Also exclude mtl ofi to deal with libfabric fork in tests.
    Closes: #979041

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Sep 2021 13:31:02 +0100

openmpi (4.1.1-3) unstable; urgency=medium

  * Don't embed username, hostname in binaries. Closes: #990254.
    Thanks, Vagrant Cascadian
  * Ship libopen-orted-mpir.so in -dev pkg only. Closes: #993041, #993038
  * Close bug fixed in previous release. Closes: #945120
  * Fix FTBFS with missing javadocs in stage1/no java builds.
    Closes: #979877, #975995

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Aug 2021 12:04:06 +0100

openmpi (4.1.1-2) unstable; urgency=medium

  * Ensure libopen-orted-mpir.so is shipped
  * Update so minor versions on libmca_common_ofi, libmca_common_ompio.
    Closes: #989111
  * Enable IPv6. Closes: #989694.
  * Standards-Version: 4.6.0; no changes required
  * Build with autoconf 2.71 ; Closes: #978878

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Aug 2021 09:28:50 +0100

openmpi (4.1.1-1) experimental; urgency=medium

  * New upstream release
  * Patches merged upstream: 
     - external-pmix-fix.patch
     - external-pmix-fix.patch
     - grequest-fix.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 May 2021 10:11:22 +0100

openmpi (4.1.0-10ubuntu1) impish; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 25 Aug 2021 15:03:25 +0000

openmpi (4.1.0-10) unstable; urgency=medium

  * Rebuild against ucx 1.10.1~rc1+really.1.10.0-1 for buster

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 May 2021 09:16:24 +0100

openmpi (4.1.0-9) unstable; urgency=medium

  * Pull fix for Memory leak in MPI_Allreduce when using a repeatedly created
    and freed MPI_Datatype. Closes: #987261
  * Workaround for mpirun crashes when trying to schedule a task on
    a foreign host. Closes: #984956

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 May 2021 14:01:44 +0100

openmpi (4.1.0-8) unstable; urgency=medium

  * Ship mpiijavac.pl script. Closes: #984962


