=== debian/control ===
--- 
+++ 
@@ -15,14 +15,14 @@
  libhwloc-dev,
  pkg-config,
  libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !i386],
- libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !i386],
+ libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !sh4 !powerpc !x32 !i386],
  libnuma-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libpsm-infinipath1-dev [amd64 i386],
  libpsm2-dev [amd64],
- default-jdk [!hppa !hurd-i386] <!stage1>,
+ default-jdk [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !alpha !ppc64 !sparc64] <!nojava>,
  flex
 Build-Conflicts: libmpich-dev, libopenmpi-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.open-mpi.org/
 Vcs-Browser: https://salsa.debian.org/hpc-team/openmpi
 Vcs-Git: https://salsa.debian.org/hpc-team/openmpi.git -b debian/latest
@@ -80,9 +80,7 @@
 Recommends: libcoarrays-openmpi-dev
 Conflicts: libopenmpi-dev
 Breaks:
- openmpi-bin (<< 4.0.5-3),
- mpich (<< 3.3~b1-5),
- libmpich-dev (<< 3.3~b1-5),
+ openmpi-doc (<< 4.1.2~rc1-4),
  lam4-dev (<< 7.1.4-4),
 Suggests: openmpi-doc
 Description: high performance message passing library -- header files
@@ -100,8 +98,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins, libpmix2
-Breaks: libpmix2 (<< 3.0.0-2), gromacs-openmpi (<< 2020~beta2-2), libeztrace0 (<< 1.1-8-5+b1), openmpi-bin (<< 4.0.2-4+b1), starpu-contrib-examples (<< 1.3.2+dfsg-2+b1), starpu-examples (<< 1.3.2+dfsg-4+b1)
-Replaces: libpmix2 (<< 3.0.0-2)
+Breaks: gromacs-openmpi (<< 2020~beta2-2), libeztrace0 (<< 1.1-8-5+b1), starpu-contrib-examples (<< 1.3.2+dfsg-2+b1), starpu-examples (<< 1.3.2+dfsg-4+b1)
 Description: high performance message passing library -- shared library
  Open MPI is a project combining technologies and resources from several other
  projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
@@ -131,8 +128,8 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: mpi-doc, lam-mpidoc, lam4-dev, openmpi-doc
-Replaces: openmpi-checkpoint (<< 1.10.2)
-Breaks: openmpi-checkpoint (<< 1.10.2)
+Replaces:  libopenmpi-dev (<< 4.1.2~rc1-4)
+Breaks: libopenmpi-dev (<< 4.1.2~rc1-4)
 Description: high performance message passing library -- man pages
  Open MPI is a project combining technologies and resources from several other
  projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
