=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,13 @@
 ### Arch-specific stuff
 # No ibverbs support available on kFreeBSD, Hurd
 NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x i386
-NO_FABRIC_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x i386
+NO_FABRIC_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x sh4 powerpc x32 i386
 PSM_ARCH:= amd64 i386
 PSM2_ARCH:= amd64
 UCX_ARCH:= amd64 ppc64el arm64
 ATOMICS_ARCH:= s390x riscv64
 NO_CMA_ARCH:= s390x mipsel hppa alpha armhf armel m68k sparc64
-NO_JAVA_ARCH:= hppa hurd-i386
+NO_JAVA_ARCH:= hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64 alpha sparc64
 NO_TEST_ARCH:= hppa hurd-i386
 
 
@@ -36,7 +36,7 @@
 BTL_TESTS:= $(if $(DO_TEST), --enable-opal-btl-usnic-unit-tests, )
 DO_FLANG:=$(if $(wildcard /usr/bin/flang),true, false)
 
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
        JAVA := $(if $(filter $(DEB_TARGET_ARCH), $(NO_JAVA_ARCH)), \
 		 ,--with-jdk-dir=/usr/lib/jvm/default-java --enable-mpi-java )
 endif
@@ -73,6 +73,9 @@
 #STATIC_CONFIG_PARAMS = --enable-static
 STATIC_CONFIG_PARAMS =  
 
+# Do not embed build username or build system hostname, see README
+export HOSTNAME=hostname
+export USER=username
 
 %:
 	dh $@ 
@@ -92,6 +95,7 @@
 		--with-hwloc=external  \
 		--disable-silent-rules \
 		--enable-mpi-cxx \
+		--enable-ipv6  \
 		--with-devel-headers \
 		--with-slurm \
 		--with-sge \
@@ -180,4 +184,3 @@
 		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/use-mpi-f08/*.mod openmpi ; \
 		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/use-mpi-f08/mod/*.mod openmpi ; \
 		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/mpiext-use-mpi/*.mod openmpi ; \
-		cp $(BUILDDIR_FLANG)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-flang.so.40.30.0 ; \
